<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Making a State-Capital Table </title>
</head>

<body>
<?php
error_reporting(E_ALL);  

require "Credentials.php";  //The credentials file contains the variables $hostname, $database, $username, $password
 
try{
	$conn = new PDO("mysql:host=$hostname;dbname=$database", $username, $password);
	$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch(PDOException $e){
	echo $e->getMessage();
	die();
}

$statement = $conn->prepare("SELECT * FROM tbstatecapital");
$statement->execute();

echo "<h1>Making a State-Capital Table </h1>";
echo "<table border='1'>\n";
while ($row = $statement->fetch(PDO::FETCH_NUM)){
	echo "<tr>\n";
	for($i=0; $i < sizeof($row); $i++){
		echo "<td>";
		echo $row[$i];
		echo "</td>\n";
	}
	echo "</tr>\n";
}
echo "</table>\n";

?>
</body>
</html>